#!/bin/sh

echo 'name: fingertree
version: 0.0
license: BSD3
copyright: (c) 2006 Ross Paterson, Ralf Hinze
maintainer: Ross Paterson <ross@soi.city.ac.uk>
stability:
homepage:
package-url:
description: A general sequence representation with arbitrary
             annotations, for use as a base for implementations of
             various collection types, as described in section 4 of
             .
             * Ralf Hinze and Ross Paterson,
             \"Finger trees: a simple general-purpose data structure\",
             /Journal of Functional Programming/ 16:2 (2006) pp 197-217.
             <http://www.soi.city.ac.uk/~ross/papers/FingerTree.html>
             .
             For a directly usable sequence type, see "Data.Sequence"
             in the @base@ package, which is a specialization of
             this structure.
category: Data Structures
author:
exposed: True
exposed-modules: Data.FingerTree
hidden-modules:
import-dirs: /usr/lib64/ghc-6.10.1/fingertree-0.0
library-dirs: /usr/lib64/ghc-6.10.1/fingertree-0.0
hs-libraries: HSfingertree-0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.0.0.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc/libraries/fingertree-0.0/fingertree.haddock
haddock-html: /usr/share/doc/ghc/libraries/fingertree-0.0' | /usr/bin/ghc-pkg update -
